GearmanClient::setWarningCallback
GearmanClient::timeout
GearmanClient
PHP Manual

# GearmanClient::setWorkloadCallback

Set a callback for accepting incremental data updates

### Description

public bool GearmanClient::setWorkloadCallback ( callable `$callback` )

Sets a function to be called when a worker needs to send back data prior to job completion. A worker can do this when it needs to send updates, send partial results, or flush data during long running jobs. The callback should accept a single argument, a GearmanTask object.

### Parameters

`callback`

  A function to call

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanClient::setDataCallback
- GearmanClient::setCompleteCallback
- GearmanClient::setCreatedCallback
- GearmanClient::setExceptionCallback
- GearmanClient::setFailCallback
- GearmanClient::setStatusCallback
- GearmanClient::setWarningCallback